Index: app/Http/Controllers/Dashboard/DepartmentsController.php
===================================================================
--- app/Http/Controllers/Dashboard/DepartmentsController.php	(revision 159e7df5cac7501076108bf1a80ef55c96981454)
+++ app/Http/Controllers/Dashboard/DepartmentsController.php	(revision 94f05dcdae6255fd3aa74c6925f9286ee591bb91)
@@ -47,5 +47,4 @@
 
         $users = User::all();
-        Notification::send($users, new NewDepartmentCreated("New department created"));
 
         $department->save();
@@ -127,6 +126,4 @@
         try {
             $files = new \RecursiveIteratorIterator(new \RecursiveDirectoryIterator($path));
-            $flag = false;
-
             foreach ($files as $file) {
 
@@ -154,13 +151,14 @@
         $department = Department::find($id);
 
-        $FileSystem = new Filesystem();
-        $zip_file = Storage::disk('uploads')->path('Department.zip');
+        $zip_file=Storage::disk('uploads')->path('Department.zip');
         $zip = new \ZipArchive();
         $zip->open($zip_file, \ZipArchive::CREATE | \ZipArchive::OVERWRITE);
-        $path = Storage::disk('uploads')->path($department->location) . DIRECTORY_SEPARATOR;
+        $path = Storage::disk('uploads')->path($department->location);
 
-        try{
+        try {
             $files = new \RecursiveIteratorIterator(new \RecursiveDirectoryIterator($path));
             foreach ($files as $file) {
+
+                // We're skipping all subfolders
                 if (!$file->isDir()) {
                     $filePath = $file->getRealPath();
@@ -169,14 +167,14 @@
                     $zip->addFile($filePath, $relativePath);
                 }
+            }
             $zip->close();
-            $headers = array('Content-Type' => 'application/octet-stream',);
-            $zip_new_name = Carbon::now()->format('d.m.Y - H:i') . $department->name . '.zip';
+            $headers = array('Content-Type' => 'application/octet-stream');
+            $zip_new_name = Carbon::now()->format('d.m.Y - H:i') . '- Departments.zip';
             return response()->download($zip_file, $zip_new_name, $headers);
         }
-    }
-    catch(\Exception $e) {
-            Alert::flash("This department has no files", "warning");
+        catch(\Exception $e){
+            Alert::flash("All departments are empty", "warning");
             return redirect()->back();
-    }
+        }
     }
 }
Index: app/Http/Controllers/Dashboard/FoldersController.php
===================================================================
--- app/Http/Controllers/Dashboard/FoldersController.php	(revision 159e7df5cac7501076108bf1a80ef55c96981454)
+++ app/Http/Controllers/Dashboard/FoldersController.php	(revision 94f05dcdae6255fd3aa74c6925f9286ee591bb91)
@@ -163,5 +163,5 @@
         Alert::flash("New folder created successfully");
 
-        return redirect()->back();
+        return redirect()->route("dashboard.folders.index");
     }
 
Index: app/Http/Requests/Dashboard/FolderRequest.php
===================================================================
--- app/Http/Requests/Dashboard/FolderRequest.php	(revision 159e7df5cac7501076108bf1a80ef55c96981454)
+++ app/Http/Requests/Dashboard/FolderRequest.php	(revision 94f05dcdae6255fd3aa74c6925f9286ee591bb91)
@@ -41,5 +41,5 @@
                         $arch_id = $this->request->get('arch_id');
 
-                        $deptId = explode('/', $arch_id)[0];
+                        $deptCode = explode('/', $arch_id)[0];
                         $archNum = explode('/', $arch_id)[1];
 
@@ -48,8 +48,9 @@
                         }
 
-                        if ($deptId !== Department::find($this->request->get('department'))->code) {
+                        if ($deptCode != Department::find($this->request->get('department'))->code) {
                             $fail("Folder Archive ID field format is invalid");
                         }
-                    } catch (\Exception $e) {
+                    }
+                    catch (\Exception $e) {
                         $fail("Please enter folders Archive ID");
                     }