Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/users/index.blade.php	(revision 112ba6d9f41165e46a99f1a5257104848ebbe5bf)
@@ -21,10 +21,14 @@
         </nav>
         <div class="dropdown">
+            @if(auth()->user()->hasPermission('manage_all_users'))
             <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 <i class="fa fa-plus pr-1"></i> New
             </a>
+            @endif
+            @if(auth()->user()->hasPermission('export_data'))
             <a href="{{ route('dashboard.users.export') }}" class="btn btn-success text-white">
                 <i class="fa fa-table pr-1"></i> Export
             </a>
+                @endif
         </div>
     </div>
@@ -93,4 +97,5 @@
                                         @endif
                                     </td>
+                                    @if(auth()->user()->hasPermission('manage_all_users'))
                                     @if($user->hasRole("Referent") && $user->is_confirmed)
                                         <td>
@@ -98,5 +103,5 @@
                                                 <i class="ti-pencil"></i>
                                             </a>
-                                            <a href="javascript:void(0)" class="text-danger ml-2" data-action="{{ route("dashboard.users.destroy", ["id" => $user->id]) }}" data-method="delete" title="Delete">
+                                            <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$user->id}}" title="Delete">
                                                 <i class="ti-trash"></i>
                                             </a>
@@ -105,4 +110,7 @@
                                         <td>/</td>
                                         @endif
+                                    @else
+                                    <td></td>
+                                    @endif
                                 </tr>
 
@@ -199,4 +207,30 @@
                                 </div>
 
+                                <div class="modal fade" id="deleteModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.destroy", $user->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('DELETE')
+                                                    <p>Are you sure you want to delete user {{$user->username}} ?</p>
+                                                    <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
                             @endforeach
                             </tbody>